gi-gtk3-3.0.44: Gtk 3.x bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Objects.SpinButtonAccessible

Contents

- Exported types
- Methods

Description

No description available in the introspection data.

Synopsis

- newtype SpinButtonAccessible = SpinButtonAccessible (ManagedPtr SpinButtonAccessible)
- class (GObject o, IsDescendantOf SpinButtonAccessible o) => IsSpinButtonAccessible o
- toSpinButtonAccessible :: (MonadIO m, IsSpinButtonAccessible o) => o -> m SpinButtonAccessible

# Exported types

newtype SpinButtonAccessible Source #

Memory-managed wrapper type.

Constructors

SpinButtonAccessible (ManagedPtr SpinButtonAccessible) |

#### Instances

Instances details

Eq SpinButtonAccessible Source # |
Instance details Defined in GI.Gtk.Objects.SpinButtonAccessible Methods (==) :: SpinButtonAccessible -> SpinButtonAccessible -> Bool Source # (/=) :: SpinButtonAccessible -> SpinButtonAccessible -> Bool Source #
GObject SpinButtonAccessible Source # |
Instance details Defined in GI.Gtk.Objects.SpinButtonAccessible
ManagedPtrNewtype SpinButtonAccessible Source # |
Instance details Defined in GI.Gtk.Objects.SpinButtonAccessible Methods toManagedPtr :: SpinButtonAccessible -> ManagedPtr SpinButtonAccessible Source #
TypedObject SpinButtonAccessible Source # |
Instance details Defined in GI.Gtk.Objects.SpinButtonAccessible Methods glibType :: IO GType Source #
HasParentTypes SpinButtonAccessible Source # |
Instance details Defined in GI.Gtk.Objects.SpinButtonAccessible
IsGValue (Maybe SpinButtonAccessible) Source # | Convert `SpinButtonAccessible` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Objects.SpinButtonAccessible Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe SpinButtonAccessible -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe SpinButtonAccessible) Source #
type ParentTypes SpinButtonAccessible Source # |
Instance details Defined in GI.Gtk.Objects.SpinButtonAccessible type ParentTypes SpinButtonAccessible = '[EntryAccessible, WidgetAccessible, Accessible, Object, Object, Action, Component, EditableText, Text, Value]

class (GObject o, IsDescendantOf SpinButtonAccessible o) => IsSpinButtonAccessible o Source #

Type class for types which can be safely cast to `SpinButtonAccessible`, for instance with `toSpinButtonAccessible`.

#### Instances

Instances details

(GObject o, IsDescendantOf SpinButtonAccessible o) => IsSpinButtonAccessible o Source # |
Instance details Defined in GI.Gtk.Objects.SpinButtonAccessible

toSpinButtonAccessible :: (MonadIO m, IsSpinButtonAccessible o) => o -> m SpinButtonAccessible Source #

Cast to `SpinButtonAccessible`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

addRelationship, addSelection, bindProperty, bindPropertyFull, connectWidgetDestroyed, contains, copyText, cutText, deleteText, doAction, forceFloating, freezeNotify, getv, grabFocus, initialize, insertText, isFloating, notify, notifyByPspec, notifyStateChange, pasteText, peekParent, ref, refAccessibleAtPoint, refAccessibleChild, refRelationSet, refSink, refStateSet, removeFocusHandler, removePropertyChangeHandler, removeRelationship, removeSelection, runDispose, scrollSubstringTo, scrollSubstringToPoint, scrollTo, scrollToPoint, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getAccessibleId, getAlpha, getAttributes, getBoundedRanges, getCaretOffset, getCharacterAtOffset, getCharacterCount, getCharacterExtents, getCurrentValue, getData, getDefaultAttributes, getDescription, getExtents, getHelpText, getIncrement, getIndexInParent, getKeybinding, getLayer, getLocalizedName, getMaximumValue, getMdiZorder, getMinimumIncrement, getMinimumValue, getNAccessibleChildren, getNActions, getNSelections, getName, getObjectLocale, getOffsetAtPoint, getParent, getPosition, getProperty, getQdata, getRange, getRangeExtents, getRole, getRunAttributes, getSelection, getSize, getStringAtOffset, getSubRanges, getText, getTextAfterOffset, getTextAtOffset, getTextBeforeOffset, getValueAndText, getWidget.

#### Setters

setAccessibleId, setCaretOffset, setCurrentValue, setData, setDataFull, setDescription, setExtents, setHelpText, setName, setParent, setPosition, setProperty, setRole, setRunAttributes, setSelection, setSize, setTextContents, setValue, setWidget.